# Updates the name of a Dry Run savepoint for the policy.

## Rename dry-run savepoint.

> Updates the name of a Dry Run savepoint for the policy.

```json
{"openapi":"3.0.0","info":{"title":"Guardian","version":"3.3.0"},"servers":[{"url":"/api/v1","description":"version 1.0"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InternalServerErrorDTO":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/policies/{policyId}/savepoints/{savepointId}":{"patch":{"description":"Updates the name of a Dry Run savepoint for the policy.","operationId":"PolicyApi_renameSavepoint","parameters":[{"name":"policyId","required":true,"in":"path","schema":{"type":"string"}},{"name":"savepointId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"description":"{ name: string }","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]}}}},"responses":{"200":{"description":"Successful operation."},"401":{"description":"Unauthorized."},"403":{"description":"Forbidden."},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerErrorDTO"}}}}},"summary":"Rename dry-run savepoint.","tags":["policies"]}}}}
```
